shisa_enumerate_principals(3)

NAME
shisa_enumerate_principals - API function

SYNOPSIS
#include <shisa.h>

int shisa_enumerate_principals(Shisa * dbh, const char * realm, char *** principals, size_t * nprincipals);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * realm
    Name of realm, as zero-terminated UTF-8 string.

char *** principals

size_t * nprincipals
    Pointer to number indicating number of allocated realm strings.

DESCRIPTION
Extract a list of all principal names in realm in backend, as zero-terminated UTF-8 strings. The caller must deallocate the strings.

RETURN VALUE
Returns SHISA_OK on success, SHISA_NO_REALM if the specified realm does not exist, or error code.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.